#save actual directory position
SERVICES_LIBRARIES_RTT_HERE := $(HERE)

#####################################################################
# include RTT module
#
#add relative directory position for including next module.mk
HERE := $(addsuffix RTT/, $(HERE))
#include module.mk
include $(HERE)module.mk

#add directory name of module to source files
TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
#add source files of the module to the list of all source files 
SRC += $(TEMP_SRC)

#add directory name of module to header files
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
#add header files of the module to the list of all header files
HEADER += $(TEMP_HEADER)

#add directory name of module to documentation files
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
#add documentation files of the module to the list of all documentation files
DOC += $(TEMP_DOC)

#restore actual directory position
HERE := $(SERVICES_LIBRARIES_RTT_HERE)
#####################################################################

#####################################################################
# include Syscalls module
#
#add relative directory position for including next module.mk
HERE := $(addsuffix Syscalls/, $(HERE))
#include module.mk
include $(HERE)module.mk

#add directory name of module to source files
TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
#add source files of the module to the list of all source files 
SRC += $(TEMP_SRC)

#add directory name of module to header files
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
#add header files of the module to the list of all header files
HEADER += $(TEMP_HEADER)

#add directory name of module to documentation files
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
#add documentation files of the module to the list of all documentation files
DOC += $(TEMP_DOC)

#restore actual directory position
HERE := $(SERVICES_LIBRARIES_RTT_HERE)
#####################################################################

#####################################################################
# empty MODULE_FILES to prevent double inclusion
MODULE_FILES := 
HEADER_FILES :=
#####################################################################

