#save actual directory position
SDK_V10_0_0_HERE := $(HERE)

#####################################################################
HERE := $(addsuffix device/, $(HERE))
include $(HERE)module.mk

TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
SRC += $(TEMP_SRC)
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
HEADER += $(TEMP_HEADER)
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
DOC += $(TEMP_DOC)
HERE := $(SDK_V10_0_0_HERE)
#####################################################################

#####################################################################
HERE := $(addsuffix softdevice/, $(HERE))
include $(HERE)module_s130.mk

TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
SRC += $(TEMP_SRC)
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
HEADER += $(TEMP_HEADER)
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
DOC += $(TEMP_DOC)
HERE := $(SDK_V10_0_0_HERE)
#####################################################################

#####################################################################
HERE := $(addsuffix toolchain/, $(HERE))
include $(HERE)module_nrf51.mk

TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
SRC += $(TEMP_SRC)
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
HEADER += $(TEMP_HEADER)
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
DOC += $(TEMP_DOC)
HERE := $(SDK_V10_0_0_HERE)
#####################################################################

#####################################################################
HERE := $(addsuffix drivers_nrf/, $(HERE))
include $(HERE)module_selected.mk

TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
SRC += $(TEMP_SRC)
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
HEADER += $(TEMP_HEADER)
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
DOC += $(TEMP_DOC)
HERE := $(SDK_V10_0_0_HERE)
#####################################################################

#####################################################################
HERE := $(addsuffix libraries/, $(HERE))
include $(HERE)module_selected.mk

TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
SRC += $(TEMP_SRC)
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
HEADER += $(TEMP_HEADER)
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
DOC += $(TEMP_DOC)
HERE := $(SDK_V10_0_0_HERE)
#####################################################################

#####################################################################
# empty MODULE_FILES to prevent double inclusion
MODULE_FILES := 
HEADER_FILES :=
DOC_FILES :=
#####################################################################

