#save actual directory position
ROOT_HERE := $(HERE)

#####################################################################
# include SDK
#
#add relative directory position for including next module.mk
HERE := $(addsuffix SDK_v10.0.0/, $(HERE))
#include module.mk
include $(HERE)module_selected.mk

#add directory name of module to source files
TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
#add source files of the module to the list of all source files 
SRC += $(TEMP_SRC)

#add directory name of module to header files
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
#add header files of the module to the list of all header files
HEADER += $(TEMP_HEADER)

#add directory name of module to documentation files
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
#add documentation files of the module to the list of all documentation files
DOC += $(TEMP_DOC)

#restore actual directory position
HERE := $(ROOT_HERE)
#####################################################################

#####################################################################
# include drivers
#
#add relative directory position for including next module.mk
HERE := $(addsuffix driver/, $(HERE))
#include module.mk
include $(HERE)module.mk

#add directory name of module to source files
TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
#add source files of the module to the list of all source files 
SRC += $(TEMP_SRC)

#add directory name of module to header files
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
#add header files of the module to the list of all header files
HEADER += $(TEMP_HEADER)

#add directory name of module to documentation files
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
#add documentation files of the module to the list of all documentation files
DOC += $(TEMP_DOC)

#restore actual directory position
HERE := $(ROOT_HERE)
#####################################################################

#####################################################################
# include services module
#
#add relative directory position for including next module.mk
HERE := $(addsuffix services/, $(HERE))
#include module.mk
include $(HERE)module.mk

#add directory name of module to source files
TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
#add source files of the module to the list of all source files 
SRC += $(TEMP_SRC)

#add directory name of module to header files
TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
#add header files of the module to the list of all header files
HEADER += $(TEMP_HEADER)

#add directory name of module to documentation files
TEMP_DOC := $(addprefix $(HERE), $(DOC_FILES))
#add documentation files of the module to the list of all documentation files
DOC += $(TEMP_DOC)

#restore actual directory position
HERE := $(ROOT_HERE)
#####################################################################


#files at root level
MODULE_FILES := main.c
HEADER_FILES := hardware_config.h ble_uuids.h tool_type_ids.h
INC += -I.

TEMP_SRC := $(addprefix $(HERE), $(MODULE_FILES))
SRC += $(TEMP_SRC)

TEMP_HEADER := $(addprefix $(HERE), $(HEADER_FILES))
HEADER += $(TEMP_HEADER)


#####################################################################
# empty MODULE_FILES to prevent double inclusion
MODULE_FILES := 
HEADER_FILES :=
#####################################################################

